%define	_hordeapp	chora
#
%include	/usr/lib/rpm/macros.php
Summary:	Web Based CVS Program
Summary(pl.UTF-8):	Program do obsługi CVS przez WWW
Name:		horde-%{_hordeapp}
Version:	2.1.1
Release:	3
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/chora/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	b77ec9e7c703c34ffbcc46ceaa87e132
Source1:	%{_hordeapp}-apache.conf
Source2:	%{_hordeapp}-httpd.conf
Patch0:		%{_hordeapp}-prefs.patch
URL:		http://www.horde.org/chora/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
# well. depending on configuration, it needs cvs, rcs or svn, cvsps >= 2.0b6
Requires:	horde >= 3.0
Requires:	webapps
Suggests:	cvs-client
Suggests:	cvsps
Suggests:	rcs
Suggests:	subversion
Obsoletes:	chora
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.*

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Chora is the CVS viewing frontend, one of the Horde components. It
provides webmail access to CVS repositories.

The Horde Project writes web applications in PHP and releases them
under the GNU Public License. For more information (including help
with IMP) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
Chora jest programem do obsługi CVS przez WWW, bazowanym na Horde.
Daje dostęp do zasobów CVS z wygodnym interfejsem WWW.

Projekt Horde tworzy aplikacje w PHP i dostarcza je na licencji GNU
Public License. Jeżeli chcesz się dowiedzieć czegoś więcej (także help
do IMP-a) zajrzyj na stronę <http://www.horde.org/>.

%prep
%setup -q -n %{_hordeapp}-h3-%{version}
%patch0 -p1

rm {,*/}.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

# considered harmful (horde/docs/SECURITY)
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} 	$RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-%{_hordeapp} < 2.0.1-1.1, %{_hordeapp}
for i in conf.php cvsgraph.conf longIntro.txt mime_drivers.php prefs.php sourceroots.php; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/*.txt
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/cvsgraph.conf
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-chora.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> ad4633c
- rpm5 friendly noautoreq
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> ecbe8a8
- migrate to apache 2.4
- rel 2

* Tue Sep 07 2010 Elan Ruusamäe <glen@pld-linux.org> 2e4ce2d
- updated to: 2.1.1

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 501c518
- 2.1

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 69a3902
- outdated

* Tue Oct 14 2008 Jan Rękorajski <baggins@pld-linux.org> e24d455
- rel 9
- oh yeah, test.php is harmful, esp for autodeps :/

* Sat Oct 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 5b66ff0
- no macro in Obsoletes

* Sat Oct 11 2008 Jan Rękorajski <baggins@pld-linux.org> 26bce1c
- rel 8
- sanitized R/S

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> dc9f20d
- cvs patch

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 1c528de
- rel 7
- add cvs diff for FRAMEWORK_3 (fixes some bugs with missing methods)

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> 9e729a9
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> a284f62
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 039848c
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> e0f8800
- removed unreadable tangle of macros and ugly hacks

* Thu Mar 27 2008 Elan Ruusamäe <glen@pld-linux.org> e560797
- release 6

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> ea03159
- up to 2.0.2

* Sun Dec 02 2007 Jakub Bogusz <qboosh@pld-linux.org> deffbc2
- R =~ s/cvs/cvs-client/

* Wed Aug 01 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> e7df7f4
- rel 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ad4a80e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2cb22f5
- converted to UTF-8

